package ru.dbotthepony.mc.otm.capability;

public interface IMatterGridListener {
	default void onPatternAdded(PatternState state) { }
	default void onPatternRemoved(PatternState state) { }
	default void onPatternUpdated(PatternState new_state, PatternState old_state) { }

	default void onMatterTaskCreated(MatterTask task) { }
	default void onMatterTaskUpdated(MatterTask new_state, MatterTask old_state) { }
	default void onMatterTaskFinished(MatterTask state) { }
	default void onMatterTaskRemoved(MatterTask state) { }
}
